Skip to main content
GET
/
credentials
List all credentials
curl --request GET \
  --url https://api.syntage.com/credentials \
  --header 'X-API-Key: <api-key>'
{
  "@context": "/contexts/Credential",
  "@id": "/credentials",
  "@type": "hydra:Collection",
  "hydra:member": [
    {
      "@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
      "@type": "Credential",
      "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
      "type": "ciec",
      "rfc": "PEIC211118IS0",
      "status": "pending",
      "createdAt": "2020-01-01T12:15:00.000Z",
      "updatedAt": "2020-01-01T12:15:00.000Z"
    }
  ],
  "hydra:view": {
    "@id": "<string>",
    "@type": "hydra:PartialCollectionView",
    "hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
    "hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
  },
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.syntage.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Query Parameters

type
enum<string>

Filter by type (exact match)

Available options:
ciec,
efirma
Example:

"ciec"

rfc
string

Filter by taxpayer ID (partial match) RFC (Registro Federal de Contribuyentes)

Required string length: 12 - 13
Example:

"PEIC211118IS0"

status
enum<string>

Filter by status (exact match) Credential validation status:

ValueDescription
waitingCredential validation is temporarily disabled, usually because of an ongoing incident. The credential will be validated later.
pendingCredential validation has been requested and is waiting to be processed.
validThe credential was accepted by SAT and can be used for extractions.
invalidSAT rejected the credential during validation.
disabledSAT reported the credential as disabled or otherwise unrecoverable during validation.
deactivatedDeprecated. Legacy status retained for existing records. Use disabled for credentials that can no longer be used.
errorCredential validation failed because of an unexpected error.
Available options:
waiting,
pending,
valid,
invalid,
disabled,
deactivated,
error
Example:

"pending"

deactivatedAt[before]
string<date-time>

Filter by deactivation date (less than or equal <=)

deactivatedAt[strictly_before]
string<date-time>

Filter by deactivation date (less than <)

deactivatedAt[after]
string<date-time>

Filter by deactivation date (greater than or equal >=)

deactivatedAt[strictly_after]
string<date-time>

Filter by deactivation date (greater than >)

createdAt[before]
string<date-time>

Filter by resource creation date (less than or equal <=)

createdAt[strictly_before]
string<date-time>

Filter by resource creation date (less than <)

createdAt[after]
string<date-time>

Filter by resource creation date (greater than or equal >=)

createdAt[strictly_after]
string<date-time>

Filter by resource creation date (greater than >)

order[createdAt]
enum<string>

Order by resource creation date

Available options:
asc,
desc
Example:

"asc"

page
integer
default:1

The collection page number

itemsPerPage
integer
default:20

The number of items per page

Required range: 1 <= x <= 1000

Response

Credential collection response

@context
string
default:/contexts/Credential
@id
string
default:/credentials
@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information